## gegl-connection

gegl-connection

## Functions

GeglConnection * | gegl_connection_new ()
void | gegl_connection_destroy ()
GeglNode * | gegl_connection_get_source_node ()
GeglNode * | gegl_connection_get_sink_node ()
GeglPad * | gegl_connection_get_source_pad ()
GeglPad * | gegl_connection_get_sink_pad ()
void | gegl_connection_set_sink_node ()
void | gegl_connection_set_sink_pad ()
void | gegl_connection_set_source_node ()
void | gegl_connection_set_source_pad ()

## Description

## Functions

### gegl_connection_new ()

    GeglConnection *
    gegl_connection_new (GeglNode *sink,
                         GeglPad *sink_pad,
                         GeglNode *source,
                         GeglPad *source_pad);

### gegl_connection_destroy ()

    void
    gegl_connection_destroy (GeglConnection *self);

### gegl_connection_get_source_node ()

    GeglNode *
    gegl_connection_get_source_node (GeglConnection *self);

### gegl_connection_get_sink_node ()

    GeglNode *
    gegl_connection_get_sink_node (GeglConnection *self);

### gegl_connection_get_source_pad ()

    GeglPad *
    gegl_connection_get_source_pad (GeglConnection *self);

### gegl_connection_get_sink_pad ()

    GeglPad *
    gegl_connection_get_sink_pad (GeglConnection *self);

### gegl_connection_set_sink_node ()

    void
    gegl_connection_set_sink_node (GeglConnection *self,
                                   GeglNode *sink);

### gegl_connection_set_sink_pad ()

    void
    gegl_connection_set_sink_pad (GeglConnection *self,
                                  GeglPad *sink_pad);

### gegl_connection_set_source_node ()

    void
    gegl_connection_set_source_node (GeglConnection *self,
                                     GeglNode *source);

### gegl_connection_set_source_pad ()

    void
    gegl_connection_set_source_pad (GeglConnection *self,
                                    GeglPad *source_pad);